import EncryptUtil from '@vue2-client/utils/EncryptUtil'
import { test, describe } from '@jest/globals'

describe('请求加密模块', () => {
  const VALID_KEY = 'a964287a2cef8781ed76bd63dcadd578'
  const TEST_PAYLOAD = {
    username: 'admin',
    password: 'P@ssw0rd_测试',
    timestamp: Date.now()
  }

  // CBC加密测试
  test('应生成有效的加密字符串', () => {
    const encrypted = EncryptUtil.AESEncryptCBC(TEST_PAYLOAD, VALID_KEY)
    console.log(encrypted)
  })
})
